> For the complete documentation index, see [llms.txt](https://docs.platform9.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform9.com/managed-openstack/5.4/troubleshooting/vmware/troubleshooting-issues-vmware-gateway-perm.md).

# Auth Failure - Insufficient Permissions

If your Platform9 vCenter gateway virtual appliance reports a failure to pair due to an insufficient permissions warning, this either means that the vCenter user credentials you specified to authenticate the VMware gateway are incorrect, or that we could not obtain the permissions list to accurately verify all permissions. The latter case usually occurs in case an Active Directory user is being used.

Please follow the required permissions matrix specified in the [VMware vSphere Prerequisites ](https://github.com/platform9/pcd-docs-gitbook/blob/main/other-docs/pmo/5.4/vmware/preparing-vmware-platform9-vmware-vsphere-prerequisites.md)to ensure appropriate permissions are assigned to the vCenter user, and continue with authorization.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform9.com/managed-openstack/5.4/troubleshooting/vmware/troubleshooting-issues-vmware-gateway-perm.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
